Bug 233985 - www/dillo2: Fails to build with OpenSSL 1.1.1 on FreeBSD 12+ (No libssl found. Disabling ssl support.)
Summary: www/dillo2: Fails to build with OpenSSL 1.1.1 on FreeBSD 12+ (No libssl found...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL: http://cvsweb.netbsd.org/bsdweb.cgi/p...
Keywords: needs-patch, needs-qa
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-12-13 16:39 UTC by Justin Hibbits
Modified: 2019-06-07 23:55 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
Fix OpenSSL 1.1.x build ; add missing linked libraries (4.83 KB, patch)
2018-12-14 05:22 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff
Fix OpenSSL 1.1.x build ; add missing linked libraries (4.84 KB, patch)
2018-12-14 05:24 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff
Fix OpenSSL 1.1.x build ; add missing linked libraries (4.85 KB, patch)
2018-12-14 05:59 UTC, Nathan
ndowens04: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Hibbits freebsd_committer 2018-12-13 16:39:30 UTC
Since the OpenSSL 1.1.1 update in base, dillo no longer builds SSL support, as it fails at configure time with:

checking openssl/ssl.h usability... yes
checking openssl/ssl.h presence... yes
checking for openssl/ssl.h... yes
checking for SSL_library_init in -lssl... no
configure: WARNING: *** No libssl found. Disabling ssl support.***
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 04:08:21 UTC
Nathan believes he has a patch, temporarily assign so he can re-triage/assign when done.
Comment 2 Nathan 2018-12-14 05:22:50 UTC
Created attachment 200101 [details]
Fix OpenSSL 1.1.x build ; add missing linked libraries

www/dillo2:                                                                                                
                                                                                                          
* Add patches from NetBSD conditionally, fix OpenSSL 1.1x when SSL is enabled                                                                     
* Add missing libraries link, listed in stage-qa                                                           
                                                                                                       
PR:             233985                                                                                     
Submitted by:   Nathan <ndowens@yahoo.com>                                                                 
Approved by:    portmgr (Unmaintained port)
Comment 3 Nathan 2018-12-14 05:24:21 UTC
Created attachment 200102 [details]
Fix OpenSSL 1.1.x build ; add missing linked libraries

Fix mis-wording in commit message
Comment 4 Nathan 2018-12-14 05:59:22 UTC
Created attachment 200103 [details]
Fix OpenSSL 1.1.x build ; add missing linked libraries

Fix alignment issues
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 06:22:54 UTC
Comment on attachment 200103 [details]
Fix OpenSSL 1.1.x build ; add missing linked libraries

Approved by: portmgr (unmaintained port)
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 06:30:43 UTC
Thank you Nathan. Please clarify/confirm:

- Did this pass testing with *all of* Base OpenSSL (< 12), OpenSSL 1.1.0 and 1.1.1 ?

Also a review item:

- LIB_DEPENDS: one per line with \ line terminators
- SSL option description removal not explained. Is it no longer experimental per upstream?
- How did libpng / x* bits end up linked if not depended on in this port in the current version? Does a dependency install them? Are there configure options for png/x-bits we should explicitly be using to enable/disable detection?
Comment 7 Lorenzo Salvadore 2019-06-07 09:52:53 UTC
See also bug #238356, where I merged a similar patch created by myself with the one here proposed.

I maintain original SSL_DESC.
The dependecies for png and jpeg could be disabled through configure, but my patch does not do that (yet); I just fixed the missing library through stage-qa from poudriere, like ndowens seems to have done.

Maybe it would be the case to close one of the two bugs for duplication.
Comment 8 commit-hook freebsd_committer 2019-06-07 23:52:29 UTC
A commit references this bug:

Author: swills
Date: Fri Jun  7 23:52:20 UTC 2019
New revision: 503677
URL: https://svnweb.freebsd.org/changeset/ports/503677

Log:
  www/dillo2: various improvements and adoption [1]

  - Refresh distinfo [1]
  - Fix SSL [2]
  - Add missing dependencies [1]
  - Assign maintainer to submitter [1]
  - Make PNG and JPEG support optional [1]

  PR:		238356 [1]
  PR:		233985 [2]
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch> [1]
  Submitted by:	Nathan <ndowens@yahoo.com> [2]
  Reported by:	tigersharke@gmail.com [1]
  Reported by:	jhibbits [2]

Changes:
  head/www/dillo2/Makefile
  head/www/dillo2/distinfo
  head/www/dillo2/files/
  head/www/dillo2/files/extra-patches-openssl
Comment 9 Steve Wills freebsd_committer 2019-06-07 23:55:02 UTC
Committed, thanks!